import { LoggerOptions } from 'winston';
import BaseError from '../../../core/error/BaseError';
export declare enum LogLevel {
    TRACE = "TRACE",
    INFO = "INFO",
    ERROR = "ERROR"
}
export declare const LoggerOptionLevels: {
    TRACE: number;
    INFO: number;
    ERROR: number;
};
export default class LogService {
    static instance: LogService;
    static defaultFormat: import("logform").Format;
    private logger;
    private readonly coreConfig;
    private readonly defaultConfig;
    constructor(opts?: LoggerOptions);
    static log(level: LogLevel, message: any, params: any[]): void;
    static logError(error: unknown | BaseError, ...params: any[]): void;
    static logInfo(message: any, ...params: any[]): void;
    static logTrace(message: any, ...params: any[]): void;
}
